<?php

class Travel_Eye_Address_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'travel-eye-address',
			__( 'Travel Eye: Address', 'travel-eye-pro' ),
			array(
				'description' => __( 'Displays an contact address details', 'travel-eye-pro' ),
				),
			array(),
			array(

				'title' => array(
					'type' => 'text',
					'label' => __( 'Title', 'travel-eye-pro' ),
				),

				'sub_title' => array(
					'type' => 'text',
					'label' => __( 'Sub Title', 'travel-eye-pro' ),
				),

				'address_repeater' => array(
					'type'      => 'repeater',
					'label'     => __( 'Enter Contact Details.', 'travel-eye-pro' ),
					'item_name' => __( 'Details', 'travel-eye-pro' ),
					'item_label' => array(
						'selector'     => "[id*='address_repeater-contact']",
						'update_event' => 'change',
						'value_method' => 'val',
					),
					'fields' => array(
						'icon' => array(
							'type'  => 'icon',
							'label' => __( 'Select Icon', 'travel-eye-pro' ),
						),
						'contact' => array(
							'type'  => 'text',
							'label' => __( 'Enter Address Details like Phone Number / Address / Location', 'travel-eye-pro' ),
						),
						'contact_detail' => array(
							'type' => 'text',
							'label' => __( 'Enter Details for Above Fields', 'travel-eye-pro' ),
						),

					),
				),
				'settings_color' => array(
					'type'   => 'section',
					'label'  => __( 'Color Settings', 'travel-eye-pro' ),
					'hide' => true,
					'fields' => array(
						'color_widget_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Title Color', 'travel-eye-pro' ),
							'default' => '#626262',
							),
						'color_widget_sub_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Subtitle Color', 'travel-eye-pro' ),
							'default' => '#313131',
						),
						'color_contact_icon' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Quick Contact Icon Color', 'travel-eye-pro' ),
							'default' => '#666666',
						),
						'color_contact_text' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Quick Contact Text Color', 'travel-eye-pro' ),
							'default' => '#666666',
						),
					),
				),
			)
		);

	}

	function get_template_name( $instance ) {
		return 'default';
	}

	function get_style_name( $instance ) {
		return 'default';
	}

	function get_less_variables( $instance ) {

		$less_vars = array();
		if ( ! empty( $instance['settings_color']['color_widget_title'] ) ) {
			$less_vars['color_widget_title'] = $instance['settings_color']['color_widget_title'];
		}
		if ( ! empty( $instance['settings_color']['color_widget_sub_title'] ) ) {
			$less_vars['color_widget_sub_title'] = $instance['settings_color']['color_widget_sub_title'];
		}
		if ( ! empty( $instance['settings_color']['color_contact_icon'] ) ) {
			$less_vars['color_contact_icon'] = $instance['settings_color']['color_contact_icon'];
		}
		if ( ! empty( $instance['settings_color']['color_contact_text'] ) ) {
			$less_vars['color_contact_text'] = $instance['settings_color']['color_contact_text'];
		}
		return $less_vars;
	}
}

siteorigin_widget_register( 'travel-eye-address', __FILE__, 'Travel_Eye_Address_Widget' );
