<?php

class Travel_Eye_Cta_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'travel-eye-cta',
			__( 'Travel Eye: CTA', 'travel-eye-pro' ),
			array(
				'description' => __( 'Simple call-to-action widget.', 'travel-eye-pro' ),
			),
			array(),
			array(

				'title' => array(
					'type' => 'text',
					'label' => __( 'Title', 'travel-eye-pro' ),
				),

				'sub_title' => array(
					'type' => 'text',
					'label' => __( 'Subtitle', 'travel-eye-pro' ),
				),
				'content' => array(
					'type'  => 'textarea',
					'label' => __( 'Content', 'travel-eye-pro' ),
				),
				'button' => array(
					'type' => 'widget',
					'class' => 'SiteOrigin_Widget_Button_Widget',
					'label' => __( 'Button', 'travel-eye-pro' ),
				),
				'settings' => array(
					'type'   => 'section',
					'label'  => __( 'Color Settings', 'travel-eye-pro' ),
					'hide' => true,
					'fields' => array(
						'color_widget_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Title Color', 'travel-eye-pro' ),
							'default' => '#626262',
						),
						'color_widget_sub_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Sub Title Color', 'travel-eye-pro' ),
							'default' => '#313131',
						),
						'color_widget_content' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Content Color', 'travel-eye-pro' ),
							'default' => '#666666',
						),
						'color_icon_hover' => array(
							'type'    => 'color',
							'label'   => __( 'Icon Hover Color', 'travel-eye-pro' ),
							'default' => '#FFFFFF',
						),
						'color_button_hover' => array(
							'type'    => 'color',
							'label'   => __( 'Button Hover Color', 'travel-eye-pro' ),
							'default' => '#ffffff',
						),
						'color_button_background_hover' => array(
							'type'    => 'color',
							'label'   => __( 'Button Background Hover Color', 'travel-eye-pro' ),
							'default' => '#626262',
						),
	    			),
				),

			),
			plugin_dir_path( __FILE__ )
		);
	}


	function get_template_name( $instance ) {
		return 'default';
	}

	function get_style_name( $instance ) {
		return 'default';
	}

	function get_less_variables( $instance ) {

		$less_vars = array();
		if ( ! empty( $instance['settings']['color_widget_title'] ) ) {
			$less_vars['color_widget_title'] = $instance['settings']['color_widget_title'];
		}
		if ( ! empty( $instance['settings']['color_widget_sub_title'] ) ) {
			$less_vars['color_widget_sub_title'] = $instance['settings']['color_widget_sub_title'];
		}
		if ( ! empty( $instance['settings']['color_widget_content'] ) ) {
			$less_vars['color_widget_content'] = $instance['settings']['color_widget_content'];
		}
		if ( ! empty( $instance['settings']['color_icon_hover'] ) ) {
			$less_vars['color_icon_hover'] = $instance['settings']['color_icon_hover'];
		}
		if ( ! empty( $instance['settings']['color_button_hover'] ) ) {
			$less_vars['color_button_hover'] = $instance['settings']['color_button_hover'];
		}
		if ( ! empty( $instance['settings']['color_button_background_hover'] ) ) {
			$less_vars['color_button_background_hover'] = $instance['settings']['color_button_background_hover'];
		}
		return $less_vars;
	}

	function modify_child_widget_form( $child_widget_form, $child_widget ) {

		unset( $child_widget_form['design']['fields']['align'] );
		$child_widget_form['design']['fields']['theme']['default']        = 'flat';
		$child_widget_form['design']['fields']['button_color']['default'] = '#dd3333';
		$child_widget_form['design']['fields']['text_color']['default']   = '#ffffff';
		$child_widget_form['design']['fields']['font_size']['default']    = 1.3;
		$child_widget_form['design']['fields']['rounding']['default']     = 0;
		$child_widget_form['design']['fields']['padding']['default']      = 1;
		$child_widget_form['design']['fields']['hover']['default']        = false;
		return $child_widget_form;

	}

	/**
	 * Initialize the CTA widget
	 */
	function initialize() {
		// This widget requires the button widget.
		if ( ! class_exists( 'SiteOrigin_Widget_Button_Widget' ) ) {
			SiteOrigin_Widgets_Bundle::single()->include_widget( 'button' );
		}
	}
}

siteorigin_widget_register( 'travel-eye-cta', __FILE__, 'Travel_Eye_Cta_Widget' );
